Subject: Re: bug#72341: VC: CVS template lines not stripped when committing

From: Sean Whitton <[email-masked]>
Date: Sun, 09 Mar 2025 14:28:42 +0800

Version: 31.1

Hello,

On Thu 06 Mar 2025 at 11:49am +01, Christoph Badura wrote:

>> Take a look at the docstring for called-interactively-p.
>> It explains that it is better to do something like this:
>>
>>     (defun log-edit-done-strip-cvs-lines (&optional interactive)
>>       (interactive "P")
>>       (when (or interactive (eq log-edit-vc-backend)) ...
>
> Sure, I'm happy to do that.
>
> Frankly, I just copyied the code from the other log-edit-* hooks in
> log-edit.el without giving it further thought.

I slightly misinformed you here.  It's (interactive "p") that's needed.
I've fixed it in your patch as installed.

I also moved the NEWS entry to the already-existent VC section, fixed a
typo and a tiny compiler error.

> That begs the question whether you want the other places in that file
> adjusted to this pattern too?  Presumably as a separate patch.

It'd be welcome, if you'd like to work on that.

Now installed both patches, and closing the bug.  Thanks all.

-- 
Sean Whitton